Crazy Eddies GUI System: CEGUI::FalagardToggleButton Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Protected Member Functions
CEGUI::FalagardToggleButton Class Reference

ToggleButton class for the FalagardBase module. More...

Inheritance diagram for CEGUI::FalagardToggleButton:
[legend]
Collaboration diagram for CEGUI::FalagardToggleButton:
[legend]

List of all members.

## Public Member Functions
| FalagardToggleButton (const String &type)
| Constructor.
## Static Public Attributes
static const utf8 | TypeName []
| type name for this widget.
## Protected Member Functions
String | actualStateName (const String &s) const

## Detailed Description

ToggleButton class for the FalagardBase module.

This class requires LookNFeel to be assigned. The LookNFeel should provide the following:

States (missing states will default to 'Normal' or 'SelectedNormal' if selected)

- Normal - Rendering for when the togglebutton is neither pushed or has the mouse hovering over it.
- Hover - Rendering for then the togglebutton has the mouse hovering over it.
- Pushed - Rendering for when the togglebutton is not selected, is pushed and has the mouse over it.
- PushedOff - Rendering for when the togglebutton is not selected, is pushed and the mouse is not over it.
- Disabled - Rendering for when the togglebutton is not selected and is disabled.
- SelectedNormal - Rendering for when the togglebutton is selected and is neither pushed or has the mouse hovering over it.
- SelectedHover - Rendering for then the togglebutton is selected and has the mouse hovering over it.
- SelectedPushed - Rendering for when the togglebutton is selected, is pushed and has the mouse over it.
- SelectedPushedOff - Rendering for when the togglebutton is selected, is pushed and the mouse is not over it.
- SelectedDisabled - Rendering for when the togglebutton is selected and is disabled.